//Axis-aligned bounding box
class AABB {
  float xMin, yMin, xMax, yMax;
  
  AABB (float xMin, float yMin, float xMax, float yMax){
    this.set(xMin, yMin, xMax, yMax);
  }
  
  AABB(){
    xMin = xMax = yMin = yMax = 0;
  }
  
  void set(float x1, float y1, float x2, float y2){
    if (x1 < x2){
      xMin = x1;
      xMax = x2;
    } else {
      xMin = x2;
      xMax = x1;
    }
    
    if (y1 < y2){
      yMin = y1;
      yMax = y2;
    } else {
      yMin = y2;
      yMax = y1;
    }
  }
}
